Modify

#15481 closed enhancement (fixed)

Silence FileNotFoundException

Reported by: naoliv Owned by: team
Priority: minor Milestone: 17.10
Component: Core Version:
Keywords: console log Cc:

Description

When starting JOSM with an enabled style that isn't available we can see this:

2017-10-24 20:27:39.690 WARNING: Failed to load Mappaint styles from '/tmp/newnodes.mapcss'. Exception was: java.io.FileNotFoundException: /tmp/newnodes.mapcss (No such file or directory)
2017-10-24 20:27:39.691 SEVERE: java.io.FileNotFoundException: /tmp/newnodes.mapcss (No such file or directory)
java.io.FileNotFoundException: /tmp/newnodes.mapcss (No such file or directory)
	at java.base/java.io.FileInputStream.open0(Native Method)
	at java.base/java.io.FileInputStream.open(FileInputStream.java:196)
	at java.base/java.io.FileInputStream.<init>(FileInputStream.java:139)
	at org.openstreetmap.josm.io.CachedFile.getInputStream(CachedFile.java:220)
	at org.openstreetmap.josm.gui.mappaint.mapcss.MapCSSStyleSource.getSourceInputStream(MapCSSStyleSource.java:522)
	at org.openstreetmap.josm.gui.mappaint.mapcss.MapCSSStyleSource.loadStyleSource(MapCSSStyleSource.java:421)
	at org.openstreetmap.josm.gui.mappaint.MapPaintStyles.loadStyleForFirstTime(MapPaintStyles.java:317)
	at org.openstreetmap.josm.gui.mappaint.MapPaintStyles.readFromPreferences(MapPaintStyles.java:310)
	at org.openstreetmap.josm.gui.preferences.map.MapPaintPreference.initialize(MapPaintPreference.java:188)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:604)
	at org.openstreetmap.josm.Main$InitializationTask.call(Main.java:583)
	at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
	at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)
	at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)
	at java.base/java.lang.Thread.run(Thread.java:844)

Since JOSM already warns us with 2017-10-24 20:27:39.690 WARNING: Failed to load Mappaint styles from '/tmp/newnodes.mapcss'. Exception was: java.io.FileNotFoundException: /tmp/newnodes.mapcss (No such file or directory), couldn't the exception be simply silenced?

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-10-23 00:30:41 +0200 (Mon, 23 Oct 2017)
Revision:13034
Build-Date:2017-10-23 01:33:19
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13034 pt_BR) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 544 MB / 3072 MB (139 MB allocated, but free)
Java version: 9-Debian+0-9b181-4, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java package: openjdk-9-jre:amd64-9~b181-4
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-13
VM arguments: [--illegal-access=warn, --add-modules=java.se.ee, -Dawt.useSystemAAFontSettings=on]

Attachments (0)

Change History (2)

comment:1 Changed 17 months ago by Don-vip

Keywords: console log added
Milestone: 17.10
Priority: normalminor

comment:2 Changed 17 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 13037/josm:

fix #15481 - Silence FileNotFoundException

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.